Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.manager
Class PortalServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              weblogic.servlet.jhtmlc.PageCompileServlet
                  weblogic.servlet.JSPServlet
                      com.bea.netuix.servlets.manager.UIServlet
                          com.bea.netuix.servlets.manager.PortalServlet

All Implemented Interfaces:
  com.bea.netuix.nf.container.jsp.JspContextTreeLookup, Serializable, Servlet, ServletConfig

public class PortalServlet
extends UIServlet

Front door servlet to handle requests for portals and desktops. Requests that end in 'portalExtensions' are handed off to the `UIServlet`. The `UIControl` tree or content uri for a portal for a requested desktop is cached after being retrieved from the persistent store. Caches for user personalized desktops are flushed at the end of a user's session. Non-personalized desktops stay in the cache until either the cache expires them based on its ttl value or they are updated using the persistence API. ContentUris for portals are also cached and flushed using the aforementioned logic.

If a tree is obtained, it is handed over to the `UIServlet` to run lifecycle methods on it. If a content uri is obtained the request is forwarded to it.

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `PortalServlet.PersistenceManagerWorker`
`static class` | `PortalServlet.UserCacheFlushSessionBindingListener` SessionBindingListener to flush the user cache at the end of a session.

Field Summary

Fields inherited from class weblogic.servlet.jhtmlc.PageCompileServlet
`finder, jspConfig, ourContext, servletClasspath, servlets`

Constructor Summary
`PortalServlet()`

Method Summary
`protected com.bea.netuix.application.manager.util.CacheKey` | `createCacheKey(String _webAppName, String _portalPath, String _desktopPath, String _userName, ArrayList _locales)` Deprecated. As of 8.1 SP2, replaced by `createCacheKey()`
`protected UIControlTreeCacheData` | `createControlTreeData(byte[] controlTreeBytes)` Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`protected byte[]` | `getCachedControlTreeBytes(com.bea.netuix.application.manager.util.CacheKey cacheKey)` Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`protected Serializable` | `getFromTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey)` Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`protected UIControlTreeCacheData` | `getTreeFromJspx(String jspx, HttpServletRequest request, HttpServletResponse response, Locale locale)` Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`void` | `init()` Initalize this servlet.
`protected void` | `putInTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey, byte[] cacheValue)` Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`protected void` | `putInTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey, UIControlTreeCacheData cacheValue)` Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`void` | `service(HttpServletRequest request, HttpServletResponse response)` Service method.

Methods inherited from class weblogic.servlet.JSPServlet
`getDefaultCompilerName, getDefaultServletName, getNewJspStub, getUseBackticks, uri2classname`

Methods inherited from class weblogic.servlet.jhtmlc.PageCompileServlet
`getCompilerArgs, servletInfo2class`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalServlet

    public PortalServlet()

Method Detail

### init

    public void init()
              throws ServletException

  Initalize this servlet.

  Throws:
    `ServletException`

### service

    public void service(HttpServletRequest request,
                        HttpServletResponse response)
                 throws ServletException,
                        IOException

  Service method.

  Overrides:
    `service` in class `UIServlet`
  Parameters:
    `request` - HttpServletRequest
    `response` - HttpServletResposne
  Throws:
    `ServletException`
    `IOException`

### createCacheKey

    protected com.bea.netuix.application.manager.util.CacheKey createCacheKey(String _webAppName,
                                                                              String _portalPath,
                                                                              String _desktopPath,
                                                                              String _userName,
                                                                              ArrayList _locales)

  Deprecated. As of 8.1 SP2, replaced by `createCacheKey()`

### getTreeFromJspx

    protected UIControlTreeCacheData getTreeFromJspx(String jspx,
                                                     HttpServletRequest request,
                                                     HttpServletResponse response,
                                                     Locale locale)

  Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

### getFromTreeCache

    protected Serializable getFromTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey)

  Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

### createControlTreeData

    protected UIControlTreeCacheData createControlTreeData(byte[] controlTreeBytes)
                                                    throws IOException,
                                                           ClassNotFoundException

  Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

  Throws:
    `IOException`
    `ClassNotFoundException`

### getCachedControlTreeBytes

    protected byte[] getCachedControlTreeBytes(com.bea.netuix.application.manager.util.CacheKey cacheKey)

  Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

### putInTreeCache

    protected void putInTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey,
                                  UIControlTreeCacheData cacheValue)

  Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

### putInTreeCache

    protected void putInTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey,
                                  byte[] cacheValue)

  Deprecated. As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved